Subject: Re: bug#35521: Mariadb test suite failures on x86_64-linux

From: Marius Bakke <[email-masked]>
Date: Wed, 10 Jul 2019 19:30:36 +0200

Chris Marusich <[email-masked]> writes:

> Hi,
>
> I've been encountering this failure off and on for a few weeks now, and
> I'd like to help fix it.  In short, it seems like non-deterministic test
> failures, to me.  I think we should gather data and report the issue
> upstream, and maybe disable the offending tests in the meantime.

I agree.  I notice many of these failing tests are for the TokuDB
backend, which I doubt anyone is using in Guix anyway.

Here is a patch that disables all tests mentioned in this report.  I
would like to push it to core-updates.  Are there others?

diff --git a/gnu/packages/databases.scm b/gnu/packages/databases.scm
index 578670e3c1..778c70eed0 100644
--- a/gnu/packages/databases.scm
+++ b/gnu/packages/databases.scm
@@ -704,8 +704,12 @@ Language.")
                       ;; 2030-12-31.  See <https://bugs.gnu.org/34351> for details.
                       "main.mysqldump"
 
-                      ;; XXX: Fails sporadically.
+                      ;; XXX: These tests may fail on some hardware configurations,
+                      ;; see <https://bugs.gnu.org/35521> et al.
                       "innodb_fts.crash_recovery"
+                      "tokudb_alter_table.hcad_all_add"
+                      "tokudb_bugs.mdev4533"
+                      "tokudb_bugs.5733_innodb"
 
                       ;; FIXME: This test fails on i686:
                       ;; -myisampack: Can't create/write to file (Errcode: 17 "File exists")

WDYT?

Note that the latest MariaDB is 10.4.x, and these tests may well be
fixed in later versions.